
package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class c_historico {
    public static RemoteObject myClass;
	public c_historico() {
	}
    public static PCBA staticBA = new PCBA(null, c_historico.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _root = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper");
public static RemoteObject _xui = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");
public static RemoteObject _g = RemoteObject.declareNull("anywheresoftware.b4a.gps.GPS");
public static RemoteObject _clie_id = RemoteObject.createImmutable("");
public static RemoteObject _sdate = RemoteObject.createImmutable("");
public static RemoteObject _stime = RemoteObject.createImmutable("");
public static RemoteObject _usuario = RemoteObject.createImmutable("");
public static RemoteObject _c = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _ruta = RemoteObject.createImmutable("");
public static RemoteObject _regresar = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _listview1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.ListViewWrapper");
public static RemoteObject _l_cant = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _l_total = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _borra = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _existe = RemoteObject.createImmutable("");
public static RemoteObject _result = RemoteObject.createImmutable("");
public static RemoteObject _titulo = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _b_desc = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _listview2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.ListViewWrapper");
public static RemoteObject _tgl = RemoteObject.declareNull("com.rootsoft.togglelibrary.ToggleLibrary");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static SHARK2.keymon.com.mx.main _main = null;
public static SHARK2.keymon.com.mx.appupdater _appupdater = null;
public static SHARK2.keymon.com.mx.mapa_cliente _mapa_cliente = null;
public static SHARK2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static SHARK2.keymon.com.mx.notificationservice _notificationservice = null;
public static SHARK2.keymon.com.mx.pendientes _pendientes = null;
public static SHARK2.keymon.com.mx.starter _starter = null;
public static SHARK2.keymon.com.mx.subs _subs = null;
public static SHARK2.keymon.com.mx.tracker _tracker = null;
public static SHARK2.keymon.com.mx.newinst2 _newinst2 = null;
public static SHARK2.keymon.com.mx.b4xpages _b4xpages = null;
public static SHARK2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static SHARK2.keymon.com.mx.httputils2service _httputils2service = null;
public static SHARK2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"b_desc",_ref.getField(false, "_b_desc"),"borra",_ref.getField(false, "_borra"),"c",_ref.getField(false, "_c"),"clie_id",_ref.getField(false, "_clie_id"),"DateUtils",_ref.getField(false, "_dateutils"),"Existe",_ref.getField(false, "_existe"),"g",_ref.getField(false, "_g"),"L_CANT",_ref.getField(false, "_l_cant"),"L_TOTAL",_ref.getField(false, "_l_total"),"ListView1",_ref.getField(false, "_listview1"),"ListView2",_ref.getField(false, "_listview2"),"Regresar",_ref.getField(false, "_regresar"),"result",_ref.getField(false, "_result"),"Root",_ref.getField(false, "_root"),"ruta",_ref.getField(false, "_ruta"),"sDate",_ref.getField(false, "_sdate"),"sTime",_ref.getField(false, "_stime"),"tgl",_ref.getField(false, "_tgl"),"Titulo",_ref.getField(false, "_titulo"),"usuario",_ref.getField(false, "_usuario"),"xui",_ref.getField(false, "_xui")};
}
}